Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 171690 - Invoking Close Project took 4127 ms.
Invoking Close Project took 4127 ms.
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@php
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-08 11:01 UTC by Jiri Prox
Modified: 2010-01-07 17:34 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (50.65 KB, bin/nps)
2009-09-08 11:01 UTC, Jiri Prox
Details
nps snapshot (433.51 KB, bin/nps)
2009-09-09 14:10 UTC, matusdekanek
Details
nps snapshot (20.77 KB, bin/nps)
2009-09-11 18:32 UTC, sreimers
Details
nps snapshot (37.04 KB, bin/nps)
2009-09-14 19:03 UTC, Michel Graciano
Details
nps snapshot (20.83 KB, bin/nps)
2009-09-16 09:08 UTC, sreimers
Details
nps snapshot (256.00 KB, application/nps)
2010-01-07 17:34 UTC, emiddio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2009-09-08 11:01:27 UTC
This issue was originally marked as duplicate of issue 168453, that is already resolved. This issue is still valid, so this seems to be another issue, but it might be related.

Build: NetBeans IDE Dev (Build 200909040632)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) Platform, Standard Edition for Business, 1.6.0_15-b03
OS: Linux, 2.6.24-23-generic, i386

User Comments:
jiriprox: Closing several project at once (1 php, 3 j2se project and java.source)


Maximum slowness yet reported was 4127 ms, average is 4127
Comment 1 Jiri Prox 2009-09-08 11:01:32 UTC
Created attachment 87254 [details]
nps snapshot
Comment 2 Milan Kubec 2009-09-09 13:25:51 UTC
Reassigning to PHP, because PHP Project does project save in ProjectOpenedHook.closedProject(), which is probably not
correct, because project is supposed to be saved when some modification is done it cannot wait until project is being
closed. If you really have good reason for calling project save in the hook then do it off AWT.
Comment 3 matusdekanek 2009-09-09 14:09:58 UTC
Build: NetBeans IDE Dev (Build 200909081533)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
invoking any gui action while closing not yet fully scanned project. That means:
-open big project
-while it is being scanned, close it (invoke close action, do not wait until it is closed)
-it will not close for next couple of minutes. Try to invoke some UI action while it is being closed (try to open main menu)

Maximum slowness yet reported was 418396 ms, average is 211261
Comment 4 matusdekanek 2009-09-09 14:10:07 UTC
Created attachment 87371 [details]
nps snapshot
Comment 5 sreimers 2009-09-11 18:32:41 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-3898-on-090909)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 

Maximum slowness yet reported was 418396 ms, average is 153370
Comment 6 sreimers 2009-09-11 18:32:46 UTC
Created attachment 87518 [details]
nps snapshot
Comment 7 Exceptions Reporter 2009-09-14 06:41:20 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=158035
Comment 8 Michel Graciano 2009-09-14 19:02:48 UTC
Build: NetBeans IDE Dev (Build 200909010201)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, i386

User Comments: 

Maximum slowness yet reported was 418396 ms, average is 78839
Comment 9 Michel Graciano 2009-09-14 19:03:14 UTC
Created attachment 87642 [details]
nps snapshot
Comment 10 Exceptions Reporter 2009-09-14 19:03:37 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=158035
Comment 11 sreimers 2009-09-16 09:08:16 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-3898-on-090909)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 

Maximum slowness yet reported was 418396 ms, average is 68039
Comment 12 sreimers 2009-09-16 09:08:27 UTC
Created attachment 87739 [details]
nps snapshot
Comment 13 Exceptions Reporter 2009-09-16 09:08:47 UTC
This issue already has 7 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=158035
Comment 14 Exceptions Reporter 2009-09-16 17:30:48 UTC
This issue already has 8 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=158035
Comment 15 Exceptions Reporter 2009-09-17 21:02:44 UTC
This issue already has 9 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=158035
Comment 16 Tomas Mysik 2009-09-18 10:05:08 UTC
Should be fixed.
http://hg.netbeans.org/web-main/rev/63f348841e85
Comment 17 Quality Engineering 2009-09-19 10:56:11 UTC
Integrated into 'main-golden', will be available in build *200909190201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/63f348841e85
User: Tomas Mysik <tmysik@netbeans.org>
Log: #171690: Invoking Close Project took 4127 ms.
Comment 18 stefan79 2009-09-24 15:16:08 UTC
Really fixed?
My latest upload was http://statistics.netbeans.org/analytics/exception.do?id=267981.

Testet at:
Product Version: NetBeans IDE Dev (Build 200909221401)
Java: 1.6.0_16; Java HotSpot(TM) Client VM 14.2-b01
System: Windows XP version 5.1 running on x86; Cp1252; de_AT (nb)
Comment 19 Michel Graciano 2009-09-24 17:28:52 UTC
The patch just affects PHP projects. In my case, I just don't use this kind of project.
Comment 20 emiddio 2010-01-07 17:34:43 UTC
Created attachment 93124 [details]
nps snapshot


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo